Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PluginProgress Class Reference

`#include <PluginProgress.h>`

List of all members.

## Public Member Functions

- PluginProgress ()
- virtual ~PluginProgress ()
- ProgressState progress (int step, int max_step)
- void cancel ()
- void stop ()
- bool isPreviewMode () const
- void setPreviewMode (bool)
- virtual void showPreview (bool)
- ProgressState state () const
- std::string getError ()
- void setError (std::string error)
- virtual void setComment (std::string msg)
- virtual void progress_handler (int step, int max_step)

## Constructor & Destructor Documentation

tlp::PluginProgress::PluginProgress | ( |  | ) |

virtual tlp::PluginProgress::~PluginProgress | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::PluginProgress::cancel | ( |  | ) |

std::string tlp::PluginProgress::getError | ( |  | ) | `[inline]`

bool tlp::PluginProgress::isPreviewMode | ( |  | ) | const

ProgressState tlp::PluginProgress::progress | ( | int | step,
|  | int | max_step
| ) |

virtual void tlp::PluginProgress::progress_handler | ( | int | step,
|  | int | max_step
| ) | `[virtual]`

virtual void tlp::PluginProgress::setComment | ( | std::string | msg | ) | `[inline, virtual]`

void tlp::PluginProgress::setError | ( | std::string | error | ) | `[inline]`

void tlp::PluginProgress::setPreviewMode | ( | bool |  | ) |

virtual void tlp::PluginProgress::showPreview | ( | bool |  | ) | `[virtual]`

ProgressState tlp::PluginProgress::state | ( |  | ) | const

void tlp::PluginProgress::stop | ( |  | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010